Bug 9697 - /etc/ppp/if-up.local is passed incorrect parameters for pty's
/etc/ppp/if-up.local is passed incorrect parameters for pty's
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-22 18:15 EST by Russell Stuart
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-09 18:55:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Stuart 2000-02-22 18:15:16 EST
When pppd is passed the "pty script" parameter the tty-device ($2) passed
to /etc/ppp/ip-up is empty.  This is fine.  When /etc/ppp/ip-up
calls /etc/ppp/ip-up.local it passes $*, which breaks when $2 is empty.
The paramaters effectively all get shifted one left, so the tty-device
becomes the speed, and the speed becomes the network-number, and so on.

This can be fixed by changing this line in /etc/ppp/ip-up:
  [ -x /etc/ppp/ip-up.local ] && /etc/ppp/ip-up.local $*
to:
  [ -x /etc/ppp/ip-up.local ] && /etc/ppp/ip-up.local "$@"
Comment 1 Nalin Dahyabhai 2000-03-09 18:55:59 EST
This will be fixed in initscripts 5.01 in Raw Hide.

Note You need to log in before you can comment on or make changes to this bug.